init();
getTime();

//加载会员自定义链接
if( $("#urls").val() == '' && $("#hiddenurls").html() == '' ){
    $(".js_bd").html('<li class="js_no-data nodata">没有常用网址，请您<a class="js_manage" target="_self" href="javascript:void(0);">添加</a></li>');
}else{
    recreate();
}

//重新组装首页urls
function recreate(){
    if( $("#urls").val() == '' ){
        $("#urls").val($("#hiddenurls").html()) }
    var urls    =   $("#urls").val();
    $.get('/e/jiekou/recreate.php?rand='+Math.random(),{urls:urls},function(data){
        if( data == '' ){
            $(".js_bd").html('<li class="js_no-data nodata">没有常用网址，请您<a class="js_manage" target="_self" href="javascript:void(0);">添加</a></li>');
            init();
        }else{
            var arrayflag   =   $("#urls").val().split('[+]');
            for( var i = 0 ; i < arrayflag.length-1 ; i++ ){
                $(".item-normal[data='"+arrayflag[i]+"']").removeClass();
                $(".popup-site-cms a[data='"+arrayflag[i]+"']").addClass('item item-added');
            }
            $(".js_bd").html(data);
            init();
        }
	}); 
}

/*========== 弹出登陆框 ==========*/
function showPop(){
	$("#popupLogin").show();
}

/*========== 关闭弹出窗 ==========*/
$(".js_close").click(function(){
	$("#popupLogin").hide();
});

/*========== 变更样式表 ==========*/
$(".skin").click(function(){
	$("body").removeClass();
	$("body").addClass($(this).attr('action'));
	$("#style").val( $(this).attr('action') );
	urlsave();
});

/*========== 收藏 ==========*/
function addfav(e,t,url){
	if ( e && e.preventDefault )    
		e.preventDefault();    
	else    
		window.event.returnValue = false;
	try{
		window.external.AddFavorite(url,t);
	}catch (e){
		try{
			window.sidebar.addPanel(t, url, "");
		}catch (e){
			alert("收藏失败,请按Ctrl+D收藏");
		}
	}
}

function init(){
    /*========== 弹出添加框 ==========*/
    $(".js_manage,.js_item-add").click(function(){
    	$(".popup-site-w").show();
        var urlsflag	=	$("#urls").val();
    	var styleflag	=	$("#style").val();
        $.get('/e/jiekou/recreatePopUrls.php?rand='+Math.random(),{userid:$("#userid").val(),urls:urlsflag,style:styleflag},function(data){
    		if( data != '' ){
                $(".js_nodata-hint").hide();
                $(".js_psite-sites").show();
                $(".js_psite-sites").html(data);
    		}else{
                $(".js_nodata-hint").show();
                $(".js_psite-sites").hide();
    		}
    	});
    })
    
    $(".item-normal").unbind("click");
    /*========= 处理点击添加网址 ==========*/
    $(".item-normal").bind('click',function(){
        var arrayflag   =   $(this).attr('data');
        var array   =   arrayflag.split(',');
        $(".popup-site-self-sites").show();
        $(".popup-site-nodata-hint").hide();
        $(".popup-site-self-sites").append('<li data="'+arrayflag+'" class="js_site-item"><span class="js_text text">'+array[2]+'</span><a  title="修改" href="#" target="_self" class="js_modify modify" onclick=modifyUrl("'+arrayflag+'"); ></a><a title="删除" onclick=deleteUrl("'+arrayflag+'"); target="_self" href="#" class="js_delete delete"></a></li>');
        $("#urls").val( $("#urls").val()+arrayflag+'[+]');
        
        $(this).removeClass();
        $(this).addClass('item item-added');
        
        init();
        return false;
    })
    
    
    $(".item-added").unbind("click");
    /*========= 处理点击取消网址 ==========*/
    $(".item-added").bind('click',function(){
        var arrayflag   =   $(this).attr('data');
        deleteUrl(arrayflag)    
        $(this).removeClass();
        $(this).addClass('js_recommend item item-normal');
        
        init();
        return false;
    })
}

//处理添加事件
$(".js_psite-add").click(function(){
    if( $("#js_sug-url").val() == '' || $("#js_sug-name").val() == '' ){
        alert('请填写网站名称和网址!');
        return false;
    }
    var arrayflag   =   ','+$("#js_sug-url").val()+','+$("#js_sug-name").val();
    var array   =   arrayflag.split(',');
    $(".popup-site-self-sites").show();
    $(".popup-site-nodata-hint").hide();
    $(".popup-site-self-sites").append('<li data="'+arrayflag+'" class="js_site-item"><span class="js_text text">'+array[2]+'</span><a  title="修改" href="#" target="_self" class="js_modify modify" onclick=modifyUrl("'+arrayflag+'"); ></a><a title="删除" onclick=deleteUrl("'+arrayflag+'"); target="_self" href="#" class="js_delete delete"></a></li>');
    $("#urls").val( $("#urls").val()+arrayflag+'[+]');
    $("#js_sug-url").val('');
    $("#js_sug-name").val('');
    return false;
})


/*========== 保存并返回 ==========*/
$(".js_psite-close").click(function(){
	$(".popup-site-w").hide();
    urlsave();
    recreate();
})

/*========== ajax保存样式和网址 ==========*/
function urlsave(){
    if( $("#urls").val() == '' ){ $("#urls").val($("#hiddenurls").html()) }
	var urlsflag	=	$("#urls").val();
	var styleflag	=	$("#style").val();
	$.get('/e/jiekou/urls.php?rand='+Math.random(),{userid:$("#userid").val(),urls:urlsflag,style:styleflag},function(data){

	});
}

//保存用户自定义
$(".js_psite-save").click(function(){
    if( $("#userid").val() == '' ){
        alert('请先登录!');
    }else{
        urlsave();
        alert('保存成功');
    }
})

/*========== 处理修改网址 ==========*/
function modifyUrl(oldData){
    $("#hiddenUrl").val(oldData);
    var dataflag    =   oldData.split(',');
    $("#js_sug-url").val(dataflag[1]);
    $("#js_sug-name").val(dataflag[2]);
    $(".js_psite-modify").show();
    $(".js_psite-add").hide();
    return false;
}

//处理修改事件
$(".js_psite-modify").click(function(){
    if( $("#js_sug-url").val() == '' || $("#js_sug-name").val() == '' ){
        alert('请填写网站名称和网址!');
        return false;
    }
    var oldData     =   $("#hiddenUrl").val();
    var oldflag     =   oldData.split(',');
    var arrayflag   =   oldflag[0]+','+$("#js_sug-url").val()+','+$("#js_sug-name").val();
    var array   =   arrayflag.split(',');
    
    $(".js_psite-sites li[data='"+oldData+"']").replaceWith('<li data="'+arrayflag+'" class="js_site-item"><span class="js_text text">'+$("#js_sug-name").val()+'</span><a  title="修改" href="#" target="_self" class="js_modify modify" onclick=modifyUrl("'+arrayflag+'"); ></a><a title="删除" onclick=deleteUrl("'+arrayflag+'"); target="_self" href="#" class="js_delete delete"></a></li>');
    $("#urls").val( $("#urls").val().replace(oldData,arrayflag) );
    $(".popup-site-cms a[data='"+oldData+"']").removeClass();
    $(".popup-site-cms a[data='"+oldData+"']").addClass('js_recommend item item-normal');
    $(".popup-site-cms a[data='"+arrayflag+"']").removeClass();
    $(".popup-site-cms a[data='"+arrayflag+"']").addClass('item item-added');
    $("#js_sug-url").val('');
    $("#js_sug-name").val('');
    init();
    return false;
})

/*========== 处理取消网址 ==========*/
function deleteUrl(oldData){
    var urls    =   $("#urls").val();
    var newurls =   urls.replace(oldData+'[+]','');
    $("#urls").val( newurls );
    $("ul li").remove("li[data='"+oldData+"']");
    $(".popup-site-cms a[data='"+oldData+"']").removeClass();
    $(".popup-site-cms a[data='"+oldData+"']").addClass('js_recommend item item-normal');
    
    if( $(".popup-site-self-sites").html() == '' ){
        $(".js_nodata-hint").show();
        $(".js_psite-sites").hide();
    }else{
        $(".js_nodata-hint").hide();
        $(".js_psite-sites").show();
    }
    return false;
}

//恢复默认状态
$(".js_psite-recover").click(function (){
    //清空所有已选中
    $(".popup-site-cms a").each(function(){
        $(this).removeClass();
        $(this).addClass('js_recommend item item-normal');
    })
    
    //清空用户自定义网址
    $("#urls").val('');
    
    //清空已选择
    $(".popup-site-self-sites").html('');
    init();
    recreate();
    $(".js_manage,.js_item-add").click();
})

$("#js_sug-name").blur();
$("#js_sug-url").blur();
//绑定用户名输入框
$("#js_sug-name").focus(function(){
    $(".js_placeholder-name").hide();
})
$("#js_sug-name").blur(function(){
    if( $(this).val() == '' ){
        $(".js_placeholder-name").show();
    }else{
        $(".js_placeholder-name").hide();
    }
})
//绑定密码输入框
$("#js_sug-url").focus(function(){
    $(".js_placeholder-url").hide();
})
$("#js_sug-url").blur(function(){
    if( $(this).val() == '' ){
        $(".js_placeholder-url").show();
    }else{
        $(".js_placeholder-url").hide();
    }
})

//调整点击左右按钮,点击一次890宽度
$(".ws-next").click(function(){
    var currentLeft =   $(".ws-items").css("left");
    var currentLeftNum  =   currentLeft.replace("px",'')*1;
    var newLeftNum  =   currentLeftNum-890 <= -4450?0:currentLeftNum-890;
    $(".ws-items").css("left",newLeftNum+'px');
})


$(".ws-prev").click(function(){
    var currentLeft =   $(".ws-items").css("left");
    var currentLeftNum  =   currentLeft.replace("px",'')*1;
    var newLeftNum  =   currentLeftNum+890 >= 890?-4450:currentLeftNum+890;
    $(".ws-items").css("left",newLeftNum+'px');
})

//当前时间信息
function getTime(){
    var myDate = new Date();
    var dY	=	myDate.getFullYear();    //获取完整的年份(4位,1970-????)
    var dM	=	myDate.getMonth()+1;       //获取当前月份(0-11,0代表1月)
    var dD	=	myDate.getDate();        //获取当前日(1-31)
    var dW	=	myDate.getDay();         //获取当前星期X(0-6,0代表星期天)
    var WArray	=	new Array('星期日','星期一','星期二','星期三','星期四','星期五','星期六');
    $(".calendar-box").html('今天是 '+dY+'年'+dM+'月'+dD+'日 '+WArray[dW]);
}

//点击更多皮肤
$(document).ready(function(){ 
    var bgclass =   $("#style").val();
    selectSkin(bgclass);
})

$("#skin-more").click(function(){
    if( $("#skinLib").is(":visible") ){
        $("#skinLib").hide();
        $("#skin-more").removeClass('more-hover');
        $("#skin-more").html('换肤');
    }else{
        $("#skinLib").show();
        $("#skin-more").addClass('more-hover');
        $("#skin-more").html('收起');
        $(".skinlib-content:first-child").addClass('curskins');
    }
})

$(".skinlib-title a").click(function(){
    var actionValue =   $(this).attr('action').split('|');
    $(".skinlib-title li").removeClass('cur');
    $(".js_skinclass"+actionValue[1]).addClass('cur');
    $(".skinlib-items").removeClass('curskins');
    $(".js_skins"+actionValue[1]).addClass('curskins');
})

$(".skinlib-items li img").click(function(){
    var currentAction    =   $(this).attr('action');
    $('input[action="'+currentAction+'"]').click();
})

$(".skinlib-items li input").click(function(){
    var currentValue    =   $(this).val();
    selectSkin(currentValue);
    $("body").removeClass();
    $("body").addClass(currentValue);
    //对当前样式赋值
    $("#style").val(currentValue);
})

function selectSkin(currentValue){
    
    $(".skinlib-items li").removeClass('cur');
    $(".skinlib-items li input").removeAttr("checked");
    var currentAction   =   '';
    var currentArray    =   Array();            
    $(".skinlib-items li input").each(function(){
        if( $(this).val() == currentValue ){
            currentAction    =   $(this).attr('action');
            currentArray    =   currentAction.split('|');
            $(".js_sitem"+currentArray[1]).addClass('cur');
            $(this).prop("checked",true);     
        }
    });
}

//绑定样式保存事件
$(".curbtn").click(function(){
    $("#skinLib").hide();
    $("#skin-more").removeClass('more-hover');
    $("#skin-more").html('换肤');
    urlsave();
})

//绑定恢复默认事件
$(".delbtn").click(function(){
    $("#style").val('');
    $("#skinLib").hide();
    $("#skin-more").removeClass('more-hover');
    $("#skin-more").html('换肤');
    urlsave();
    $(".js_skinclass1 a").click();
    $("body").attr('class','skin-color-green');
})

//绑定取消事件
$("a[action='cancel']").click(function(){
    $("#skinLib").hide();
    $("#skin-more").removeClass('more-hover');
    $("#skin-more").html('换肤');
})

/*========== 搜索栏相关处理start ==========*/
//绑定搜索栏更多事件
$(".search_baidu .box-search_more").click(function(){
    if( $(".box-search_more_wrap").is(":visible") ){
        $(".box-search_more_wrap").hide();
    }else{
        $(".box-search_more_wrap").show();
    }
    return false;
})

//绑定搜索栏头部点击切换事件
$(".search_baidu .box-search_tabs .js_tab a").click(function(){
    var arrayFlag   =   new Array(Array(),Array(),Array(),Array(),Array(),Array(),Array(),Array());
    arrayFlag[0][0]      =   'http://www.baidu.com/s';
    arrayFlag[0][1]          =   '';
    arrayFlag[0][2]        =   'word';
    
    arrayFlag[1][0]      =   'http://music.baidu.com/search';
    arrayFlag[1][1]          =   '';
    arrayFlag[1][2]        =   'key';
    
    arrayFlag[2][0]    =   'http://video.baidu.com/v';
    arrayFlag[2][1]        =   '';
    arrayFlag[2][2]      =   'word';
    
    arrayFlag[3][0]    =   'http://image.baidu.com/i';
    arrayFlag[3][1]        =   'baiduimage';
    arrayFlag[3][2]      =   'word';
    
    arrayFlag[4][0]       =   'http://tieba.baidu.com/f';
    arrayFlag[4][1]           =   '';
    arrayFlag[4][2]         =   'kw';
    
    arrayFlag[5][0]   =   'http://zhidao.baidu.com/search';
    arrayFlag[5][1]       =   'ikaslist';
    arrayFlag[5][2]     =   'word';
    
    arrayFlag[6][0]     =   'http://news.baidu.com/ns';
    arrayFlag[6][1]         =   'news';
    arrayFlag[6][2]       =   'word';
    
    arrayFlag[7][0]  =   'http://map.baidu.com/m';
    arrayFlag[7][1]  =   '';
    arrayFlag[7][2]  =   'word';
    
    var newArray    =   arrayFlag[$(this).attr('data-t')];
    $("#js_sug-form1").attr('action',newArray[0]);
    $("#js_sug-form1 input[class=js_word]").attr('name',newArray[2]);
    $("#js_sug-form1 input[name=tn]").attr('value',newArray[1]);
    $(".box-search_tabs .js_tab a").removeClass();
    $(this).addClass('cur');
    return false;
})

//绑定点击logo事件
$(".search_logo").click(function(){
	if( $(".search_pop").is(":visible") ){
		$(".search_pop").hide();
		$(".search_logo .g-toggle").removeClass("g-toggle_click");
	}else{
		$(".search_pop").show();
		$(".search_logo .g-toggle").addClass("g-toggle_click");
	}
	return false;
})

//绑定选择搜索引擎事件
$(".search_pop > div").click(function(){
	$(".search_logo").html( $(this).html() );
	$(".search_baidu").hide();
	$(".search_google").hide();
	$("."+$(this).find('img').attr('btn')).show();
	$(".search_pop").hide();
})

/*========== 搜索栏相关处理end ==========*/

//二维码提示关闭
$("#erclosehint").click(function(){
    $("#er-hint").hide();
    return false;
})

//返回顶部
function goTopEx(){
	var obj=$("#goTopBtn");
	var obj1=$(".gobottom");
	function getScrollTop(){
		return document.documentElement.scrollTop+document.body.scrollTop;
	}
	function setScrollTop(value){
		document.documentElement.scrollTop=value;
	}
	var docHeight	=	$(document).height(); 
	var winHeight	=	$(window).height(); 
	window.onscroll=function(){
		getScrollTop()>0?obj.show():obj.hide();
		getScrollTop() < docHeight-winHeight*1.1?obj1.show():obj1.hide();
	}
	obj.click(function(){
		$('html, body, .content').animate({scrollTop: 0}, 300);
		return false;
	})
	obj1.click(function(){
		$('html, body, .content').animate({scrollTop: $(document).height()}, 300);
		return false;
	})
}
/*未发现好的商家,暂时取消功能
//充值相关操作
$(".box-funtool_btn.select").click(function(){
    if( $(".js_czlist").is(":visible") ){
        $(".js_czlist").hide();
    }else{
        $(".js_czlist").show();
    }
})
//选择充值金额
$(".js_czlist li").click(function(){
    $(".js_czm").html( $(this).find('a').attr('data-m') );
    $(".js_money").val( $(this).find('a').attr('data-m') );
})

//点击充值按钮
$(".cz-submit").click(function(){
	var phone	=	$(".js_phone").val();
	var money	=	$(".js_money").val();
	$.get('/e/jiekou/chongzhi.php?rand='+Math.random(),{phone_number:phone,money:money},function(data){
		alert(data);
	})
})
//点击输入框
if( $(".js_phone").val() == '' ){
	$(".placeholder").show();
}else{
	$(".placeholder").hide();
}
$(".placeholder").click(function(){
	$(".placeholder").hide();
	$(".js_phone").focus();
})

$(".js_phone").blur(function(){
	if( $(".js_phone").val() == '' ){
		$(".placeholder").show();
	}else{
		$(".placeholder").hide();
	}
})
*/

$('#toplistnew0 .widget-toptab a').click(function(){
	$('#toplistnew0 .widget-toptab a').removeClass();
	$('#toplistnew0 .widget-toptab a span').removeClass();
	$(this).addClass('option_hover');
	$(this).find('span').addClass('em g_green g_brc2');
	$('#toplistnew0 .widget-topzixun').hide();
	$('#toplistnew0 #'+$(this).attr('id')).show();
	return false;
})

$('#toplistnew1 .widget-toptab a').click(function(){
	$('#toplistnew1 .widget-toptab a').removeClass();
	$('#toplistnew1 .widget-toptab a span').removeClass();
	$(this).addClass('option_hover');
	$(this).find('span').addClass('em g_green g_brc2');
	$('#toplistnew1 .widget-topzixun').hide();
	$('#toplistnew1 #'+$(this).attr('id')).show();
	return false;
})